Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 579954 - <www-client/chromium-50.0.2661.75: multiple vulnerabilities (CVE-2016-{1651,1652,1653,1654,1655,1656,1657,1658,1659})
Summary: <www-client/chromium-50.0.2661.75: multiple vulnerabilities (CVE-2016-{1651,1...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: http://googlechromereleases.blogspot....
Whiteboard: A2 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-14 12:31 UTC by Agostino Sarubbo
Modified: 2016-05-17 05:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-04-14 12:31:52 UTC
From ${URL} :

The Chrome team is delighted to announce the promotion of Chrome 50 to the stable channel for Windows, Mac and Linux.
 Chrome 50.0.2661.75 contains a number of fixes and improvements -- a list of changes is available in the log. Watch out for upcoming Chrome and Chromium blog posts about new features and big efforts delivered in 50.
 Security Fixes and Rewards
 Note: Access to bug details and links may be kept restricted until a majority of users are updated with a fix. We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven’t yet fixed.
 This update includes 20 security fixes. Below, we highlight fixes that were contributed by external researchers. Please see the Chromium security page for more information. 
 [$7500][590275] High CVE-2016-1652: Universal XSS in extension bindings. Credit to anonymous.
[$5000][589792] High CVE-2016-1653: Out-of-bounds write in V8. Credit to Choongwoo Han.
[591785] Medium CVE-2016-1651: Out-of-bounds read in Pdfium JPEG2000 decoding. Credit to kdot working with HP's Zero Day Initiative.
[$1500][589512] Medium CVE-2016-1654: Uninitialized memory read in media. Credit to Atte Kettunen of OUSPG.
[$1500][582008] Medium CVE-2016-1655: Use-after-free related to extensions. Credit to Rob Wu.
[$500][570750] Medium CVE-2016-1656: Android downloaded file path restriction bypass. Credit to Dzmitry Lukyanenko.
[$1000][567445] Medium CVE-2016-1657: Address bar spoofing. Credit to Luan Herrera.
[$500][573317] Low CVE-2016-1658: Potential leak of sensitive information to malicious extensions. Credit to Antonio Sanso (@asanso) of Adobe.
 We would also like to thank all security researchers that worked with us during the development cycle to prevent security bugs from ever reaching the stable channel. The total value of additional rewards and their recipients will updated here when all reports 
have gone through the reward panel.
 As usual, our ongoing internal security work was responsible for a wide range of fixes:
[602697] CVE-2016-1659: Various fixes from internal audits, fuzzing and other initiatives.



@maintainer(s): since the fixed package is already in the tree, please let us know if it is ready for the stabilization or not.
Comment 1 Mike Gilbert gentoo-dev 2016-04-14 14:05:25 UTC
> @maintainer(s): since the fixed package is already in the tree, please let us know if it is ready for the stabilization or not.

Please go ahead.
Comment 2 Agostino Sarubbo gentoo-dev 2016-04-14 15:27:34 UTC
stable for amd64/x86

cleanup done.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2016-04-27 08:08:49 UTC
CVE-2016-1659 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1659):
  Multiple unspecified vulnerabilities in Google Chrome before 50.0.2661.75
  allow attackers to cause a denial of service or possibly have other impact
  via unknown vectors.

CVE-2016-1658 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1658):
  The Extensions subsystem in Google Chrome before 50.0.2661.75 incorrectly
  relies on GetOrigin method calls for origin comparisons, which allows remote
  attackers to bypass the Same Origin Policy and obtain sensitive information
  via a crafted extension.

CVE-2016-1657 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1657):
  The WebContentsImpl::FocusLocationBarByDefault function in
  content/browser/web_contents/web_contents_impl.cc in Google Chrome before
  50.0.2661.75 mishandles focus for certain about:blank pages, which allows
  remote attackers to spoof the address bar via a crafted URL.

CVE-2016-1656 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1656):
  The download implementation in Google Chrome before 50.0.2661.75 on Android
  allows remote attackers to bypass intended pathname restrictions via
  unspecified vectors.

CVE-2016-1655 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1655):
  Google Chrome before 50.0.2661.75 does not properly consider that frame
  removal may occur during callback execution, which allows remote attackers
  to cause a denial of service (use-after-free) or possibly have unspecified
  other impact via a crafted extension.

CVE-2016-1654 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1654):
  The media subsystem in Google Chrome before 50.0.2661.75 does not initialize
  an unspecified data structure, which allows remote attackers to cause a
  denial of service (invalid read operation) via unknown vectors.

CVE-2016-1653 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1653):
  The LoadBuffer implementation in Google V8, as used in Google Chrome before
  50.0.2661.75, mishandles data types, which allows remote attackers to cause
  a denial of service or possibly have unspecified other impact via crafted
  JavaScript code that triggers an out-of-bounds write operation, related to
  compiler/pipeline.cc and compiler/simplified-lowering.cc.

CVE-2016-1652 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1652):
  Cross-site scripting (XSS) vulnerability in the
  ModuleSystem::RequireForJsInner function in
  extensions/renderer/module_system.cc in the Extensions subsystem in Google
  Chrome before 50.0.2661.75 allows remote attackers to inject arbitrary web
  script or HTML via a crafted web site, aka "Universal XSS (UXSS)."

CVE-2016-1651 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1651):
  fxcodec/codec/fx_codec_jpx_opj.cpp in PDFium, as used in Google Chrome
  before 50.0.2661.75, does not properly implement the sycc420_to_rgb and
  sycc422_to_rgb functions, which allows remote attackers to obtain sensitive
  information from process memory or cause a denial of service (out-of-bounds
  read) via crafted JPEG 2000 data in a PDF document.
Comment 4 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-04-27 08:09:45 UTC
Added to existing GLSA.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-05-17 05:36:07 UTC
This issue was resolved and addressed in
 GLSA 201605-02 at https://security.gentoo.org/glsa/201605-02
by GLSA coordinator Yury German (BlueKnight).